#!/bin/sh

name="gg"
title="GNU Gadu"
package="gg"
version="0.2.4"
build="1.1"
noarch="n"
build_info="Standard build."

info="Yet another Gadu-Gadu client."
desc="GNU Gadu is a Gadu-Gadu client published on terms of GNU General
Public License. It's able to work with OSS, ESounD or aRts!, and with
GNOME, KDE or WindowMaker panels."
category="net/client/im"
environment="x11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.slackware.pl/gg/$name-$version.tar.gz

apply_patch gg-lupa.patch 1

configure_option --prefix=/usr
configure_option --enable-esd
configure_option --enable-arts
configure_option --enable-gnome
configure_option --enable-panel
configure_option --enable-dockapp
configure_option --enable-docklet

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: gg.builder,v $
# Revision 1.1  2003/01/24 15:38:02  swiergot
# - Initial release.
# - Version 0.2.4.
#
